ADDUSER(8)

NAMN
adduser, addgroup - lägg till eller hantera användare eller grupper

SYNOPSIS
adduser [--add-extra-groups] [--allow-all-names] [--allow-bad-names] [--comment kommentar] [--conf fil] [--debug] [--disabled-login] [--disabled-password] [--encrypt-home] [--firstgid id] [--firstuid id] [--force-home] [--gid id] [--home katalog] [--ingroup grupp] [--lastgid id] [--lastuid id] [--no-create-home] [--no-copy-skel] [--shell skal] [--quiet] [--uid id] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user
adduser --system [--comment kommentar] [--conf fil] [--debug] [--gid id] [--group] [--home katalog] [--ingroup grupp] [--no-create-home] [--no-copy-skel] [--shell skal] [--uid id] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user
adduser --unlock [--system] user
adduser --group [--conf fil] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
addgroup [--conf fil] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
addgroup --system [--gid id] [--conf fil] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
adduser [--conf fil] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user group
adduser --help
adduser --version

BESKRIVNING
adduser och addgroup lägger till användare och grupper i systemet enligt kommandoradsflaggor och konfigurationsinformation i /etc/adduser.conf. De är mer Debian-specifika frontend-program till useradd, groupadd och usermod, som är mer distributionsoberoende. adduser och addgroup väljer som standard UID- och GID-värden som överensstämmer med Debians policy, skapar en hemkatalog med skelettkonfiguration, kör ett anpassat skript och har andra funktioner.

adduser och addgroup är avsedda som ett policy-lager, vilket gör det enklare för paketansvariga och lokala administratörer att skapa lokala systemkonton på det sätt som Debian förväntar sig att de ska skapas, vilket tar bort bördan att anpassa sig till de förmodligen föränderliga specifikationerna i Debians policy. adduser --system lägger särskild vikt vid att det bara behövs ett enda anrop i paketansvarigas skript utan några villkorliga wrappers, felundertryckning eller andra stödstrukturer.

adduser respekterar skillnaden mellan dynamically allocated system users and groups och dynamically allocated user accounts som dokumenteras i Debian Policy, kapitel 9.2.2.

För en fullständig lista och förklaringar av alla flaggor, se avsnittet FLAGGOR.

adduser och addgroup kan köras i ett av fem lägen:

  Lägg till en vanlig användare (inte systemanvändare)
Om den anropas med ett icke-flaggargument och utan flaggorna --system eller --group, kommer adduser att lägga till en vanlig användare, det vill säga en dynamically allocated user account i Debian Policy-bemärkelse. Detta kallas vanligtvis i adduser för en non-system user.

If adduser is called with the --unlock option, it will search for an existing account, and ensure it is unlocked. If the user is not found, adduser will return an error. See Unlock an account below for more details.

adduser väljer det första tillgängliga UID från det intervall som anges av FIRST_UID och LAST_UID i konfigurationsfilen. Intervallet kan åsidosättas med flaggorna --firstuid och --lastuid. Slutligen kan UID ställas in helt manuellt med flaggan --uid.

Som standard tilldelas varje användare en motsvarande grupp med samma namn. Detta kallas vanligtvis Usergroups och gör det möjligt att enkelt underhålla skrivbara gruppkataloger genom att placera lämpliga användare i den nya gruppen, ställa in set-group-ID-biten i katalogen och se till att alla användare använder en umask på 002.

För en användargrupp väljer adduser det första tillgängliga GID från det intervall som anges av FIRST_GID och LAST_GID i konfigurationsfilen. Intervallet kan åsidosättas med flaggorna --firstgid och --lastgid. Slutligen kan GID ställas in helt manuellt med flaggan --gid.

Interaktionen mellan USERS_GID, USERS_GROUP och USERGROUPS förklaras i detalj i adduser.conf(5).

Den nya användarens primära grupp kan också åsidosättas från kommandoraden med flaggorna --gid eller --ingroup för att ställa in gruppen efter id eller namn. Användare kan också läggas till i en eller flera kompletterande grupper som definieras som EXTRA_GROUPS, antingen genom att ställa in ADD_EXTRA_GROUPS till 1 i konfigurationsfilen eller genom att ange --add-extra-groups på kommandoraden.

adduser kopierar filer från /etc/skel till hemkatalogen och ber om kommentar och lösenord om dessa funktioner inte har inaktiverats/åsidosatts från kommandoraden.

UID, kommentar, hemkatalog och skal kan förutbestämmas med flaggan UID_POOL och GID_POOL, som dokumenteras i adduser.conf(5). To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1).

  Lägg till en systemanvändare
Om den anropas med ett icke-flaggargument och flaggan --system, kommer adduser att lägga till en dynamically allocated system user,, ofta förkortad till system user, i sammanhanget med paketet adduser.

If the user already exists and is a system account, then adduser will ensure the account is unlocked and return successfully. See Unlock a user account below.

adduser väljer det första tillgängliga UID från det intervall som anges av FIRST_SYSTEM_UID och LAST_SYSTEM_UID i konfigurationsfilen. Detta kan åsidosättas med flaggan --uid.

Som standard tilldelas systemanvändare nogroup som primär grupp. För att tilldela en redan befintlig grupp som primär grupp använder du flaggorna --gid eller --ingroup. Om flaggan --group anges och gruppen med samma namn inte redan finns skapas den med samma ID.

Om ingen hemkatalog anges är standardhemkatalogen för en ny systemanvändare I&lt;/nonexistent&gt;. Denna katalog bör aldrig finnas på något Debian-system, och adduser kommer aldrig att skapa den automatiskt.

Om en hemkatalog anges med flaggan --home och katalogen redan finns (till exempel om paketet levereras med filer i den katalogen), ställer adduser inte in ägaren av katalogen till den nyskapade användaren utan att meddela detta. Att ställa in ägaren kan åsidosätta ett beslut av den lokala administratören, och att rapportera detta skulle bryta adduser tystnad under paketinstallationen. Om du använder adduser --home i ditt pakets underhållsskript kan du behöva utfärda ett explicit rekursivt chown för hemkatalogen efter anropet till adduser.

Unless a shell is explicitly set with the --shell option, the new system user will have the shell set to /usr/sbin/nologin. adduser --system does not set a password for the new account. It is an error if adduser --system is called for an account that has a password. Skeletal configuration files are not copied.

Övriga flaggor fungerar på samma sätt som vid skapandet av en vanlig användare. Filerna som refereras till av UID_POOL och GID_POOL respekteras också.

  Unlock a user account
If called with the --unlock option, adduser will unlock an existing, previously locked account. If found, the user's password will be re-enabled, and expiry restrictions will be removed. Any previous expiry settings will have to be added manually after unlocking the account.

  Lägg till en grupp
Om adduser kallas upp med flaggan --group och utan flaggan --system eller om addgroup kallas upp respektive kommer en användargrupp att läggas till.

En dynamically allocated system group,, ofta förkortad till system group, skapas i samband med paketet adduser om adduser --group eller addgroup anropas med flaggan --system.

En GID väljs från respektive intervall som anges för GID:er i konfigurationsfilen (FIRST_GID, LAST_GID, FIRST_SYSTEM_GID, LAST_SYSTEM_GID). För att åsidosätta den mekanismen kan du ange GID:n med hjälp av flaggan --gid.

För icke-systemgrupper kan det intervall som anges i konfigurationsfilen åsidosättas med flaggorna --firstgid och --lastgid.

Gruppen skapas utan medlemmar.

  Lägg till en existerande användare till en existerande grupp
Om startad med två icke-flaggor-argument kommer adduser att lägga till en existerande användare till en existerande grupp.

FLAGGOR
Olika lägen för adduser en tillåter olika flaggor. Om inga giltiga lägen anges för en flagga accepteras det i alla lägen.

Korta versioner för vissa flaggor kan finnas av historiska skäl. De kommer att fortsätta att stödjas, men tas bort från dokumentationen. Användare rekommenderas att migrera till den långa versionen av flaggor.

--add-extra-groups
    Lägg till ny användare till extra grupper som definieras i konfigurationsfilernas inställning EXTRA_GROUPS. Den gamla stavningen --add_extra_groups är föråldrad och kommer endast att stödjas i Debian bookworm. Giltiga lägen: adduser, adduser --system.

--allow-all-names
    Tillåt alla användar- och gruppnamn som stöds av den underliggande useradd en (8). Se GILTIGA NAMN nedan. Giltiga lägen: adduser, adduser --system, addgroup, addgroup --system.

--allow-bad-names
    Inaktivera kontrollen av namn med NAME_REGEX och SYS_NAME_REGEX. Endast en svagare kontroll av namnets giltighet tillämpas. Se GILTIGA NAMN nedan. Giltiga lägen: adduser, adduser --system, addgroup, addgroup --system.

--comment comment
    Ställ in kommentarfältet för den nya posten som genereras. adduser kommer inte att be om informationen om denna flagga anges. Detta fält är även känt under namnet GECOS-fält och innehåller information som används av kommandot finger(1). Detta var tidigare flaggan --gecos, som är föråldrat och kommer att tas bort efter Debian bookworm. Giltiga lägen: adduser, adduser --system.

--conf file
    Använd file istället för /etc/adduser.conf. Flera --conf -flaggor kan anges.

--debug
    Synonymt med --stdoutmsglevel=debug. Föråldrat.

--disabled-login
--disabled-password
    Kör inte passwd(1) för att ställa in ett lösenord. I de flesta situationer är det dock fortfarande möjligt att logga in (till exempel med SSH-nycklar eller via PAM) av skäl som ligger utanför adduser:s räckvidd. --disabled-login ställer dessutom in skalet till /usr/sbin/nologin. Giltigt läge: adduser.

--firstuid ID
--lastuid ID
--firstgid ID
--lastgid ID
    Åsidosätt den första UID / sista UID / första GID / sista GID i det intervall som uid väljs från (FIRST_UID, LAST_UID, FIRST_GID och LAST_GID, FIRST_SYSTEM_UID, LAST_SYSTEM_UID, FIRST_SYSTEM_GID och LAST_SYSTEM_GID i konfigurationsfilen). Om en grupp skapas som en användargrupp ignoreras --firstgid och --lastgid. Gruppen får samma ID som användaren. Giltiga lägen: adduser, adduser --system, för --firstgid och --lastgid även addgroup.

--force-badname
--allow-badname
    Dessa är de föråldrade formerna av --allow-bad-names. De kommer att tas bort under release-cykeln för Debian 13.

--gid GID
    När du skapar en grupp anger denna flagga grupp-ID-numret för den nya gruppen till GID. När du skapar en användare anger denna flagga det primära grupp-ID-numret för den nya användaren till GID. Giltiga lägen: adduser, adduser --system, addgroup, addgroup --system.

--group
    Om du använder den här flaggan i adduser --system, ska den nya användaren få en grupp med samma namn som sin primära grupp. Om den gruppen med samma namn inte redan finns, skapas den. Om det inte kombineras med --system, skapas en grupp med det angivna namnet. Det senare är standardåtgärden om programmet startas som addgroup. Giltiga lägen: adduser --system, addgroup, addgroup --system.

--help
    Visa korta instruktioner.

--home dir
    Använd dir som användarens hemkatalog, istället för standardvärdet som anges i konfigurationsfilen (eller /nonexistent om adduser --system används). Om katalogen inte finns skapas den. Giltiga lägen: adduser, adduser --system.

--ingroup GROUP
    När du skapar en användare anger denna flagga den nya användarens primära grupp-ID-nummer till GID för den namngivna gruppen. Till skillnad från flaggan --gid anges gruppen här med namn istället för med ett numeriskt ID-nummer. Gruppen måste redan existera. Giltiga lägen: adduser, adduser --system.

--lastuid ID
--lastgid ID
    Åsidosätt den senaste UID / senaste GID. Se --firstuid.

--no-create-home
    Skapa inte en hemkatalog för den nya användaren. Observera att sökvägen till den nya användarens hemkatalog fortfarande kommer att anges i det lämpliga fältet i filen I&lt;/etc/passwd&gt;. Användningen av denna flagga innebär inte att detta fält ska vara tomt. Det indikerar snarare för adduser att någon annan mekanism kommer att ansvara för att initialisera den nya användarens hemkatalog. Giltiga lägen: adduser, adduser --system.

--force-home
    Assume the home directory does already exist and has been taken care of by the local administrator. chown the directory to the newly created user and populate it with the files from /etc/skel without double checking. This allows to put new home directories on an md, lvm, or dm-crypt device. Valid modes: adduser.

--no-copy-skel
    Do not populate the home directory for the new user with files from /etc/skel. If the home directory is newly created, it will be empty. Valid modes: adduser, adduser --system.

--quiet
    Synonymt med --stdoutmsglevel=warn. Föråldrat.

--shell shell
    Använd shell som användarens inloggningsskal, istället för standardinställningen som anges i konfigurationsfilen (eller /usr/sbin/nologin om adduser --system används). Giltiga lägen: adduser, adduser --system.

--system
    Normalt skapar adduser dynamically allocated user accounts and groups enligt definitionen i Debian Policy, kapitel 9.2.2. Med denna flagga skapar adduser en dynamically allocated system user and group och ändrar dess läge. Giltiga lägen: adduser, addgroup.

--uid ID
    Tvinga det nya användar-id:t att vara det angivna numret. adduser misslyckas om användar-id:t redan är upptaget. Giltiga lägen: adduser, adduser --system.

--verbose
    Synonymt med --stdoutmsglevel=info. Föråldrat.

--stdoutmsglevel prio
--stderrmsglevel prio
--logmsglevel prio
    Minsta prioritet för meddelanden som loggas till syslog/journal respektive konsolen. Värdena är trace, debug, info, warn, err och fatal. Meddelanden med den här prioriteten eller högre skrivs ut till respektive medium. Meddelanden som skrivs ut till stderr upprepas inte på stdout. Det gör det möjligt för den lokala administratören att styra adduser s chattiness på konsolen och i loggen oberoende av varandra, så att förvirrande information hålls för sig själv medan användbar information fortfarande finns kvar i loggen. stdoutmsglevel, stderrmsglevel och logmsglevel är som standard inställda på warn, warn och info.

-v , --version
    Visa version och information om copyright.

GILTIGA NAMN
Historiskt sett har adduser(8) och addgroup(8) tillämpat IEEE Std 1003.1-2001, som endast tillåter följande tecken i grupp- och användarnamn: bokstäver, siffror, understreck, punkter, at-tecken (@) och bindestreck. Namnet får inte börja med ett bindestreck eller @. Tecknet "$" är tillåtet i slutet av användarnamn för att möjliggöra typiska Samba-maskin-konton.

Standardinställningarna för NAME_REGEX och SYS_NAME_REGEX tillåter att användarnamn innehåller bokstäver och siffror, samt bindestreck (-) och understreck (_). Namnet måste börja med en bokstav (eller ett understreck för systemanvändare).

Den minst restriktiva policyn, som är tillgänglig genom att använda flaggan --allow-all-names, gör helt enkelt samma kontroller som useradd(8). Observera att useradds kontroller har blivit betydligt mer restriktiva i Debian 13.

Att ändra standardbeteendet kan användas för att skapa förvirrande eller vilseledande namn; använd med försiktighet.

LOGGNING
Adduser använder omfattande och konfigurerbar loggning för att anpassa detaljeringsgraden efter systemadministratörens behov. Every message that adduser prints has a priority value assigned by the authors. This priority can not be changed at run time. Available priority values are fatal, error, warn, info, debug, and trace. Om du upptäcker att ett meddelande har fel prioritet, rapportera ett fel. Varje gång ett meddelande genereras avgör koden om meddelandet ska skrivas ut till standardutmatning, standardfel eller syslog. Detta styrs huvudsakligen och oberoende av konfigurationsinställningarna STDOUTMSGLEVEL, STDERRMSGLEVEL och LOGMSGLEVEL. För teständamål kan dessa inställningar åsidosättas på kommandoraden. Endast meddelanden med en prioritet som är högre eller lika med respektive meddelandenivå loggas till respektive utdatamedium. Ett meddelande som skrevs till standardfel skrivs inte en andra gång till standardutdata.

RETURVÄRDEN

0   Lyckades: Användaren eller gruppen finns som angivet. Detta kan ha två orsaker: Användaren eller gruppen skapades genom detta anrop till adduser eller användaren eller gruppen fanns redan i systemet som angivet innan adduser anropades. Om adduser --system anropas för en användare som redan finns med de begärda eller kompatibla attributen, returneras också 0.

11  Det objekt som adduser ombads att skapa finns redan.

12  Objektet som adduser eller deluser ombads att bearbeta finns inte.

13  Objektet som adduser eller deluser ombads att utföra en åtgärd på har inte de egenskaper som krävs för att slutföra åtgärden: En användare (en grupp) som begärdes att skapas som systemanvändare (grupp) finns redan och är inte en systemanvändare (grupp), eller en användare (grupp) som begärdes att skapas med ett visst UID (GID) finns redan och har ett annat UID (GID), eller en systemanvändare (grupp) som begärdes att raderas finns, men är inte en systemanvändare (grupp).

21  Det UID (GID) som uttryckligen begärdes för en ny användare (grupp) används redan.

22  Det finns ingen tillgänglig UID (GID) inom det begärda intervallet.

23  Det finns ingen grupp med den begärda GID för den primära gruppen för en ny användare.

31  The chosen name or comment for a new user or a new group does not conform to the selected naming rules.

32  Hemkatalogen för en ny användare måste vara en absolut sökväg.

33  useradd returnerade exitkod 19 "ogiltigt användar- eller gruppnamn". Det betyder att det valda användar- eller gruppnamnet inte uppfyller useradds restriktioner och att adduser inte kan skapa användaren.

41  Den grupp som begärdes att raderas är inte tom.

42  Användaren som begärdes att tas bort från en grupp är inte medlem från början.

43  Det är inte möjligt att ta bort en användare från sin primära grupp, eller att välja ingen primär grupp för en ny användare på något sätt.

51  Felaktigt antal eller felaktig ordning på kommandoradsparametrarna har upptäckts.

52  Inkompatibla flaggor angivna i konfigurationsfilen.

53  Ömsesidigt inkompatibla kommandoradsflaggor har upptäckts.

54  adduser och deluser anropas som icke-root och kan därför inte fungera.

55  deluser kommer att vägra att radera root-kontot.

56  En funktion har begärts som kräver att fler paket installeras. Se Rekommenderar: och Föreslår: i paketet adduser.

61  Adduser avbröts av någon anledning och försökte återställa de ändringar som gjordes under körningen.

62  Internt fel i adduser. Detta borde inte inträffa. Försök att återskapa problemet och skicka in en felrapport.

71  Fel vid skapande och hantering av lås.

72  Fel vid åtkomst till konfigurationsfilerna.

73  Fel vid åtkomst till en poolfil.

74  Fel vid läsning av en poolfil, syntaxfel i filen.

75  Fel vid åtkomst till hjälpfiler.

81  An executable that is needed by adduser or deluser cannot be found. Check your installation and dependencies.

82  Exekveringen av ett externt kommando resulterade i ett oväntat fel.

83  Ett externt kommando avslutades med en signal.

84  Ett systemanrop avslutades med ett oväntat fel.

Eller av många andra ännu odokumenterade skäl som då skrivs ut till konsolen. Du kan då överväga att höja loggnivån för att göra adduser mer detaljerad.

SÄKERHET
adduser behöver root-behörighet och erbjuder, via kommandoradsflaggan --conf, möjlighet att använda olika konfigurationsfiler. Använd inte sudo(8) eller liknande verktyg för att ge partiell behörighet till adduser med begränsade kommandoradsparametrar. Detta är lätt att kringgå och kan göra det möjligt för användare att skapa godtyckliga konton. Om du vill göra detta bör du överväga att skriva ett eget wrapper-skript och ge behörighet att köra det skriptet.

FILER

/etc/adduser.conf
    Standard konfigurationsfil för adduser(8) och addgroup(8)

/usr/local/sbin/adduser.local
    Valfria anpassade tillägg, se adduser.local(8)

ANTECKNINGAR
Tyvärr har termen system account dubbla betydelser i Debian. Den betyder både ett konto för det faktiska Debian-systemet, vilket skiljer sig från ett application account som kan finnas i användardatabasen för vissa applikationer som körs på Debian. En system account enligt denna definition har möjlighet att logga in på det faktiska systemet, har ett UID, kan vara medlem i systemgrupper, kan äga filer och processer. Debian Policy, au contraire, gör i kapitel 9.2.2 en åtskillnad mellan dynamically allocated system users and groups och dynamically allocated user accounts, vilket i båda fallen betyder särskilda fall av system accounts. Man måste vara försiktig så att man inte blandar ihop denna terminologi. Eftersom adduser och deluser(8) aldrig behandlar application accounts och allt i detta paket rör system accounts här, är användningen av termerna user account och system account faktiskt inte tvetydig i sammanhanget för detta paket. För tydlighetens skull använder detta dokument definitionen local system account or group om det behövs en distinktion mellan application accounts eller konton som hanteras i en katalogtjänst.

adduser e sedan 1990-talet som vision att vara den universella frontenden för olika katalogtjänster för skapande och radering av vanliga konton och systemkonton i Debian. Denna vision har övergivits från och med 2022. Skälen till detta är bland annat att ett litet serversystem i praktiken ändå inte kommer att ha skrivrättigheter till en företagsomfattande katalogtjänst, att lokalt installerade paket är svåra att hantera med centralt styrda systemkonton, att företagskatalogtjänster ändå har sina egna hanteringsprocesser och att personalstyrkan i adduser -teamet sannolikt aldrig kommer att vara tillräckligt stark för att skriva och underhålla stöd för den uppsjö av katalogtjänster som behöver stöd.

adduser kommer att begränsa sig till att vara ett policy-lager för hantering av lokala systemkonton, och använda verktygen från passwd -paketet för det faktiska arbetet.

Group membership changes do not affect processes that are already running. When a user is added to a group, the new membership becomes effective only for sessions started after the change. This behavior is a common source of confusion for administrators who expect the results of adduser user group to apply immediately to existing sessions. To make the new group membership available immediately, the user must start a new login session. Alternatively, the newgrp(1) command can be used to start a new shell with the updated group membership. This behavior is a fundamental property of Unix-like operating systems and cannot be altered by adduser.

BUGGAR
Inkonsekvent användning av terminologin kring begreppet system account en i dokument och kod är ett fel. Rapportera detta så att vi kan förbättra våra dokument.

adduser lägger särskild vikt vid att kunna användas direkt i Debians underhållsskript utan villkorliga omslag, felundertryckning och andra stödstrukturer. Det enda som paketunderhållaren behöver koda är en kontroll av förekomsten av den körbara filen i postrm-skriptet. Underhållarna av adduser anser att behovet av ytterligare stödstrukturer är ett fel och uppmuntrar sina kollegor som underhåller Debian-paket att rapportera fel mot paketet adduser i detta fall.

SE OCKSÅ
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), /usr/share/doc/base-passwd/users-and-groups.html på alla Debian-system, Debian Policy 9.2.2, RFC8264 "PRECIS Framework: Preparation, Enforcement, and Comparison of Internationalized Strings in Application Protocols", RFC8265 "PRECIS Representing Usernames and Passwords", https://wiki.debian.org/UserAccounts.

ÖVERSÄTTARE
Denna manualsida har översatts av Daniel Nylander <po@danielnylander.se> den 25 november 2005. Om du hittar några felaktigheter i översättningen, vänligen skicka ett e-postmeddelande till översättaren eller till sändlistan <debian-l10n-swedish@lists.debian.org>,